Page MenuHomePhabricator

stat1001 replacement box in eqiad
Closed, ResolvedPublic3 Estimate Story Points

Description

stat1001 is way out of warranty, and we've agreed to replace it. stat1001 is mostly a webserver, and not a usual 'stat' box, in that regular users don't get access to it. We'll probably rename this new node with a non-stat name. Maybe a misc element name!

Anyway, the replacement box needs a decent amount of storage, but RAM and CPU can be slim. stat1001 has 8 x Intel(R) Xeon(R) CPU E5640 @ 2.67GHz, and 32G RAM. I'm not totally sure what the /dev/sda drive is on stat1001, but it is 6 TB.

We only use 1.6 TB on stat1001, and I'm not sure if this will grow. Shooting for a replacement with 4-6 TB of usable storage would be great. Drive redundancy is good, but we don't need any performance, so mirrored raid would be fine.

So, anyway, something with at least 16G ram and 4 TB of useable redundant storage is all this box need to be.

This should be installed within the Analytics VLAN, but it does not matter which row.

Event Timeline

Ottomata created this task.Nov 3 2016, 4:20 PM
Restricted Application added a project: Operations. · View Herald TranscriptNov 3 2016, 4:20 PM
Ottomata updated the task description. (Show Details)Nov 3 2016, 4:21 PM
Ottomata changed the point value for this task from 13 to 3.Nov 3 2016, 4:29 PM
RobH assigned this task to mark.Nov 4 2016, 5:35 PM
RobH added a subscriber: mark.

I'd like to allocate spare pool system WMF4726 for this request. It has the following specs:

  • Dual Intel® Xeon® Processor E5- 2623 V3 (3.0GHz/4Core)
  • 32GB RAM
  • 4 * 4TB SATA Disks

This should cover your use case, as it will give just under 8TB space when setup in a raid10. I'm escalating this task to @mark for his approval of the spare allocation.

@mark: Please comment (or approve) and assign back to me for implemetation/followup!

Sounds perfect, thank you.

RobH added a comment.Nov 22 2016, 10:28 PM

I should note that the spare pool system WMF4726 was purchased in December of 2015. It is 1/3rd of the way through its 3 year warranty.

mark added a comment.Nov 23 2016, 4:31 PM

I'd like to allocate spare pool system WMF4726 for this request. It has the following specs:

  • Dual Intel® Xeon® Processor E5- 2623 V3 (3.0GHz/4Core)
  • 32GB RAM
  • 4 * 4TB SATA Disks

This should cover your use case, as it will give just under 8TB space when setup in a raid10. I'm escalating this task to @mark for his approval of the spare allocation.
@mark: Please comment (or approve) and assign back to me for implemetation/followup!

Approved.

BTW we should name the new box something other than stat1001. We can use an element name if one is available, and that makes sense.

This box hosts several websites and datasets, and only ssh-able by Analytics team and Opsen.

BTW we should name the new box something other than stat1001. We can use an element name if one is available, and that makes sense.
This box hosts several websites and datasets, and only ssh-able by Analytics team and Opsen.

https://en.wikipedia.org/wiki/Thorium ?

https://github.com/wikimedia/operations-dns/search?utf8=%E2%9C%93&q=thorium&type=Code

Ottomata reopened this task as Open.Nov 30 2016, 3:01 PM

Uh OH! @RobH

This should be installed within the Analytics VLAN, but it does not matter which row.

I think thorium may have had its networking set up incorrectly.

RobH added a comment.Nov 30 2016, 4:22 PM

Correct, it was installed in the internal vlan, my bad! It'll need reinstallation, as well as the dns and network port being updated.

​Ok, it can be reinstalled at will. The puppet that is in place is fine
(it might fail on the first run). Let me know when it is back up and I will
make sure its cool.

RobH closed this task as Resolved.Nov 30 2016, 11:51 PM

reinstalled, puppet and salt keys accepted.

it has some puppet failures, but since those are service related, i'll leave them to you to handle @Ottomata.